package cn.kdan.pdf.backend.core.controller;

import cn.kdan.pdf.backend.core.params.RelationParam;
import cn.kdan.pdf.backend.core.service.DeviceService;
import constant.CommonConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import pojo.AppRequestParam;
import pojo.AppResultMap;
import pojo.Device;

/**
 * @author sfq
 * @description
 */
@CrossOrigin(origins = "*")
@RestController
@RequestMapping("/device")
public class DeviceController {

    @Autowired
    private DeviceService deviceService;

    @PutMapping("/updateInfo")
    public AppResultMap<Device> updateInfo(@RequestBody AppRequestParam<RelationParam> param){
        return new AppResultMap(CommonConstant.SUCCESS,CommonConstant.CODE_SUCCESS,deviceService.updateInfo(param.getData()));
    }

}
